﻿Imports System.ComponentModel
Imports System.Xml
Imports Telerik.Web.UI

Partial Class Default2
	Inherits System.Web.UI.Page

	Protected Sub Page_PreLoad(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.PreLoad
		If Not Page.IsPostBack Then
			Dim dataSource As New XmlDataSource
			dataSource.DataFile = "~/XMLFile.xml"
			dataSource.XPath = "/Menu/Reports/Item"
			RadToolBar1.DataSource = dataSource.GetXmlDocument().SelectNodes(dataSource.XPath)
			RadToolBar1.DataBind()
		End If
	End Sub


	Protected Sub RadToolBar1_ButtonDataBound(ByVal sender As Object, ByVal e As Telerik.Web.UI.RadToolBarButtonEventArgs) Handles RadToolBar1.ButtonDataBound
		Dim dataItem = DirectCast(e.Button.DataItem, XmlElement)
		e.Button.Text = dataItem.Attributes("Text").Value
		If dataItem.ChildNodes.Count > 0 Then
			Dim dropDown As New RadToolBarDropDown
			dropDown.Text = dataItem.Attributes("Text").Value
			For Each childNode As XmlNode In dataItem.ChildNodes
				Dim childButton As New RadToolBarButton
				childButton.Text = childNode.Attributes("Text").Value
				dropDown.Buttons.Add(childButton)
			Next

			RadToolBar1.Items.Insert(e.Button.Index, dropDown)
			RadToolBar1.Items.Remove(e.Button)
		End If
	End Sub

	Protected Sub RadMenu1_ItemDataBound(ByVal sender As Object, ByVal e As Telerik.Web.UI.RadMenuEventArgs) Handles RadMenu1.ItemDataBound
		Dim dataITem = e.Item.DataItem
	End Sub
End Class
